Opened 8 years ago

Closed 8 years ago

#1278 closed defect (fixed)

Apache crashes under load

Reported by: hubu Owned by: hubu
Priority: high Milestone: 2.2
Component: Web API Version: 2.1.0
Severity: blocker Keywords: Apache upgrading
Cc: brucedechant External ID: 1302967

Description (last modified by brucedechant)

While running the Grinder test scripts against an Apache/PHP web tier configuration the Apache server can crash randomly. This has been observed several times while testing.

The current release of Apache included with MGOS 2.2 is 2.2.11 which has a known issue PR 47672. Apache PR 47672: fix seg fault under load due to pool concurrency problem

This Apache defect has been corrected in release 2.2.14. We need to upgrade to release 2.2.14 or later.

Attachments (1)

upgrade-apache2.2.14.patch (10.7 KB) - added by hubu 8 years ago.
upgrade the apache from 2.2.11 to 2.2.14

Download all attachments as: .zip

Change History (4)

comment:1 Changed 8 years ago by hubu

Severity: trivialblocker

Changed 8 years ago by hubu

Attachment: upgrade-apache2.2.14.patch added

upgrade the apache from 2.2.11 to 2.2.14

comment:2 Changed 8 years ago by brucedechant

Cc: brucedechant added
Description: modified (diff)

comment:3 Changed 8 years ago by trevorwekel

Resolution: fixed
Status: newclosed

All 2.2 open source builds now use Apache 2.2.14 or higher.

Note: See TracTickets for help on using tickets.